<?php

$VERSION = "1.4.3";
$sitename = "Web UI ".$VERSION;

ob_start("ob_gzhandler");

function OpenTable()
{
	global $glob_width;
	echo "<TABLE BORDER=1 CELLPADDING=0 CELLSPACING=0 WIDTH=\"100%\">";
}

function CloseTable()
{
	echo "</TABLE>";
}

function OpenDatabase($host, $user, $password, $db)
{
	global $_ERROR, $dbtype;

	switch ($dbtype) {
	case "mysql":
		if (!($id=@mysql_pconnect($host, $user, $password)))
			$_ERROR = "Could not connect to MySQL database";
		else
			if (!mysql_select_db($db, $id))
				$_ERROR = "Could not select the database";

		break;
	case "odbc":
		if (!($id=@odbc_connect("DSN=$db", $user, $password, SQL_CURR_USE_ODBC)))
			$_ERROR = "Could not connect to ODBC database";
		break;
	}

	return $id;
}

function CloseDatabase($id)
{
	GLOBAL $dbtype, $_ERROR;

	switch ($dbtype) {
	case "mysql":
		$ret = @mysql_close($id);
		break;
	case "odbc":
		@odbc_close($id);
		if (@odbc_error($id))
			$_ERROR = $odbc_errormsg($id);
		else
			$ret = 1;
		break;
	}

	return $ret;
}

function SQLQuery($_query, $id)
{
	GLOBAL $dbtype;

	switch ($dbtype) {
	case "mysql":
		$ret = @mysql_query($_query, $id);
		break;
	case "odbc":
		$ret = @odbc_exec($id, $_query);
		break;
	}

	return $ret;
}

function SQLFetchRow($result)
{
	GLOBAL $dbtype;

	switch ($dbtype) {
	case "mysql":
		$ret = @mysql_fetch_row($result);
		break;
	case "odbc":
		$ret = @odbc_fetch_array($result);
		break;
	}

	return $ret;
}

function SQLFetchArray($result)
{
	GLOBAL $dbtype;

	switch ($dbtype) {
	case "mysql":
		$ret = @mysql_fetch_array($result);
		break;
	case "odbc":
		if (@odbc_fetch_row($result)) {
			for ($j=1; $j <= @odbc_num_fields($result); $j++) {
				$field_name = @odbc_field_name($result, $j);
				$ret[$field_name] = @odbc_result($result, $field_name);
			}
		}
		break;
	}

	return $ret;
}

function SQLNumRows($result)
{
	GLOBAL $dbtype;

	switch ($dbtype) {
	case "mysql":
		$ret = @mysql_num_rows($result);
		break;
	case "odbc":
		$ret = @odbc_num_rows($result);
		break;
	}

	return $ret;
}

function SQLFreeResult($result)
{
	GLOBAL $dbtype;

	switch ($dbtype) {
	case "mysql":
		$ret = @mysql_free_result($result);
		break;
	case "odbc":
		$ret = @odbc_free_result($result);
		break;
	}

	return $ret;
}

function SQLError($id)
{
	GLOBAL $dbtype;

	switch ($dbtype) {
	case "mysql":
		$ret = @mysql_error($id);
		break;
	case "odbc":
		$ret = @odbc_errormsg($id);
		break;
	}

	return $ret;
}

function Login($name, $pass, $id)
{
	$result = SQLQuery("SELECT * FROM admin WHERE uid='$name'", $id);
	$row = SQLFetchRow($result);
	$ret = $row[2];
	if ($row[3]) {
		$result = SQLQuery("SELECT uid, password from user WHERE uid='$name'", $id);
		$row = SQLFetchRow($result);
	}
	if (crypt($pass, $row[1]) == $row[1]) {
		return $ret;
	}
	return 0;

}

function checkLogin($name, $id)
{
	$ret = 0;

	$result = SQLQuery("SELECT priv_lvl FROM admin WHERE ENCRYPT(uid,'$name')='$name'", $id);
	if (SQLNumRows($result)>0) {
		$row = SQLFetchRow($result);
		$ret = $row[0];
		$_ERROR=$row[0];
	}
	return $ret;
}

function unixcrypt($password)
{
	return crypt($password);
}


function checkCookie($value, $value1, $id)
{
	$ret = checkLogin($_COOKIE[$value], $id);
	if ($ret<=0) {
		echo "<script language=\"JavaScript\">"
		    ." alert('You are not currently logged in.  Please login.');"
		    ." top.location.href = \"index.php\";"
		    ." </script>";
	}
	return $ret;
}

function updatePassword($field, $uid, $oldpass, $newpass, $id)
{
	$ret = 0;

	if (!empty($newpass)) {
		$c_newpass = unixcrypt($newpass);
		$sqlcmd = sprintf("UPDATE user set %s='%s' WHERE uid='%s' AND ENCRYPT('%s',password)=password", $field, $c_newpass, $uid, $oldpass);
		$result = SQLQuery($sqlcmd, $id); 
		$ret = @mysql_affected_rows();
	}

	return $ret;
}

foreach ($_POST as $key=>$val)
        eval("\$$key = '$val';");
foreach ($_GET as $key=>$val)
        eval("\$$key = '$val';");

?>
